/*CSS Reset*/

* {
	margin: 0;
	padding: 0;
}

@font-face {
	font-family: Cardo;
	src: url('../fonts/Cardo.ttf');
}

@font-face {
	font-family: Open Sans;
	src: url('../fonts/OpenSans.ttf');
}

h1, h2 {
	font-family: 'Cardo', serif;
	font-weight: normal;
}

a {
	text-decoration: none;
}

h1 {
	text-decoration: none;
	color: white;
	margin-right: 50px;
}

h2 {
	font-size: 30px;
	color: #11375b;
}

h2:visited {
	color: #11375b;
}

a h2:hover {
	text-decoration: underline;
	text-decoration-color: #26a54c;
}

figcaption, p {
	text-align: center;
	font-family: 'Open Sans', sans-serif;
	color: #484848;
}

h3 {
	text-align: center;
	font-family: 'Open Sans', sans-serif;
	color: #484848;
	font-size: 20px;
}

h4 {
	text-align: center;
	font-family: 'Open Sans', sans-serif;
	color: white;
	font-size: 50px;
}

h5 {
	text-align: center;
	font-family: 'Open Sans', sans-serif;
	color: white;
	font-size: 30px;
}

#contact-us-form li{
	text-align: left;
	font-family: 'Open Sans', sans-serif;
	color: #484848;
	font-size: 20px;
}

button #hamburger-icon:hover {
/*	border-color: #fff;
	color: #fff;
	background-color: rgba(255,255,255,0.5); */
}

@keyframes fade-in {
	0%		{opacity: 0;}
	100%	{opacity: 1;}
}

.fade-in {
	animation-name: fade-in;
	animation-duration:	4s;  
}

#social-media-links {
	display: flex;
	position: absolute;
	right: 0;
	flex-direction: column;
	padding-right: 1vw;
}

.social-media-icon {
	padding: 5%
}

.customer-fav {
	margin-bottom: 5vh;
}

#menu-categories-panel {
	position: sticky;
	z-index: 0;
	top: 0;
	left: 0;
	box-shadow: 3px 0 12px -6px grey;
	float: left;
	width: 15vw;
	height: 100vh;
	background-color: #F6F6F6;
}

#menu-categories-container-not-mobile {
	width: 10vw;
	margin: 5vh auto auto;
}

#menu-categories-container-not-mobile h2 {
	margin-bottom: 10px;
}

.menu-category-button {
	width: 100%;
	height: 5vh;
	background-color: #EEEEEE;
	text-align: center;
	border-bottom: solid;
	border-color: grey;
	border-width: 1px;
	display: none
}

.lunch-item-button {
	display: none;
	width: 100%;
	height: 5vh;
	background-color: #EEEEEE;
	text-align: center;
	border-bottom: solid;
	border-color: grey;
	border-width: 1px;
}

.menu-image {
	width: 100%;
	height: 100%;
}


.menu-item {
	box-shadow: 0px 0 12px -6px grey;
}

#description-container {
	margin-left: 17vw;
	position: fixed;
	bottom: 5vh;
	width: 60vw;
	height: 15vh;
	background-color: white;
	border-style: solid;
	border-width: 5px;
	border-color: #26a54c;
	border-radius: 10px;
	box-shadow: 0px 0 12px -6px grey;
	transform: translateY(30vh);
	transition: transform .5s;
}


#nav-links-list {
	display: flex;
	padding-top: 10px;
	/*flex-direction: row;*/
}


#customer-fav-container {
	display: flex;
	width: 70vw;
	justify-content: space-around;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20vh;
}

#nav-container-homescreen{
	z-index: -1000;
	position: absolute;
	top: 0;
	height: 40vh;
	width: 100%;
	background-color: #26a54c;
	box-shadow: 0px 2px 5px darkgrey;
	padding-left: 5%;
	padding-right: 5%;
	box-sizing: border-box;
}

#nav-container{
	width: 100%;
	background-color: #26a54c;
	box-shadow: 0px 2px 5px darkgrey;
}

#logo {
	padding-top: 1vh;
	width: 135px;
}


#contact-us-text-container {
	text-align: center;
	margin-top: 5vh;
	margin-bottom: 5vh;
}

#message-input-box {
	height: 10vh;
}

#contact-us-form {
	width: 20vw;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 50vh;
}

input {
	display: block;
	margin-bottom: 3vh;
	width: 100%;
}

button {
	height: 32px;
	width: 88px;
	font-family: sans-serif;
	color: white;
	border-radius: 10px;
	background-color: #178E38;
	box-shadow: 0px, 2px, 5px, grey;
	border-style: none;
}


#customer-review-outer {
	margin-top: 10vh;
	width: 40vw;
	margin-left: auto;
	margin-right: auto;
	border-radius: 20px;
	height: 10vh;
	background-color: #FF7E1D;
	display: flex;
	justify-content: space-around;
	box-shadow: 3px 0 12px -6px grey;
}

#customer-review-inner {
	width: 70%;
	height: 60%;
	background-color: white;
	border-radius: 10px;
	display: inline-block;
	float: right;
	margin-top: 2vh;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
}

#reviewer-profile {
	margin-top: 2vh;
	height: 60%;
	display: inline-block;
}


#logo {
	display: inline-block;
	padding-top: 1vh;
}


#hamburger-icon {
	display: none;
}

.after-click {
	transform: translateX(-10px);
}

nav {
	float:right;
}

nav li {
	display: inline;
	float: right;
}

#customer-favorites-title {
	margin-top: 20vh;
	margin-bottom: 2vh;
	width: 80vw;
	margin-left: auto;
	margin-right: auto;
}

.customer-fav-image {
	width: 30vh;
	height: 30vh;
}

#customer-favorites {
	width: 80vw;
	height: 20vw;
	margin-left: auto;
	margin-right: auto;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

/*#ordering-grid {
	display: grid;
 	grid-template-columns: repeat(16, 6.25vw);
 	grid-template-rows: 25% auto 25%;
 	height: 100vh;
}*/

/*#location-1-address {
	grid-column-start: 7;
	grid-column-end: 8;
	grid-row-start: 1;
	align-self: end;
}

#location-2-address {
	grid-column-start: 10;
	grid-column-end: 11;
	grid-row-start: 1;
	align-self: end;
}*/

/*
#restaurant-image {
	max-width: 100%;
	grid-column-start: 6;
	grid-column-end: 12;
	grid-row-start: 2;  
}*/

#order-online-image-container {
	height: 30vh;
	overflow: hidden;
	position: absolute;
}

#order-online-image {
	width: 100%;
}

#order-online-container {
	padding-top: 20vh;
	height: 75vh;
	width: 60vw;
	margin: 0 auto;
	display: flex;
	justify-content: space-around;
}

.restaurant-modal {
	position: relative;
	padding-top: 2vh;
	width: 15vw;
	height: 15vw;
	border-radius: 20px;
	border-style: solid;
	border-width: 1px;
	border-color: grey;
	box-shadow: 0px 2px 5px grey;
	background-color: white;
}

.restaurant-modal:hover {
	position: relative;
	padding-top: 2vh;
	width: 16vw;
	height: 16vw;
	border-radius: 20px;
	border-style: solid;
	border-width: 1px;
	border-color: grey;
	box-shadow: 0px 2px 5px grey;
}

#about-us-text-and-image-container {
	padding-left: 10%;
	padding-right: 10%;
	margin-bottom: 60vh;
}

.grubhub-link {
	width: 80%;
}

.fotorama {
	height: 50vh;
	box-shadow: 0px 2px 5px darkgrey;
	width: 50vw;
	margin-left: auto;
	margin-right: auto;
	position: relative;
}

#restaurant-description {
	width: 50vw;
	margin-top: 1vh;
	margin-left: auto;
	margin-right: auto;
}

#slogan {
	margin-top: 10vh;
	text-align: center;
	font-size: 20px;
	font-style: bold; 
	margin-bottom: 3vh;
}

#menu-items-container {
	display: grid;
	grid-column-gap: 3vw;
 	grid-row-gap: 3vw;
 	grid-template-columns: 15vw 15vw 15vw;
 	grid-template-rows: 15vw 15vw 15vw;
	width: 51vw;
	margin-left: 24vw;
	padding-top: 5vh;
}

.lunch-item-button {
	display: none;
}

#about-us-text {
	margin-top: 10vh;
	display: inline-block;
	color: #393939;
	font-family: 'Open Sans', sans-serif;
	font-size: 30px;
}

#about-us-text-2 {
	margin-top: 5vh;
	width: 37vw;
	text-align: left;
	display: inline-block;
}

#about-us-text-container {
	padding-left: 20vw;
	display: inline-block;
	vertical-align: top;
}

#about-us-image-container {
/*	height: 60vh;*/
	display: inline-block;
	margin-bottom: 25vh;
}

#about-us-image {
/*	height: 100%;*/
	width: 30%;
	padding-top: 3vh;
	float: right;
	margin-top: 1vh;
}

#nav-container {
	box-sizing: border-box; /*Godly*/
	padding-left: 5%;
	padding-right: 5%;
}

footer {
	display: flex;
	justify-content: space-around;
	height: 15vh;
	padding-top: 3vh;
	padding-left: 20%;
	padding-right: 20%;
	background-color: #178E38;
	margin-top: 10vh;
}



/*Mobile*/
@media only screen and (max-width: 479px) {

	#nav-links-list {
		margin-top: 50px;
		flex-direction: column;
	}

	nav h1 {
		color: black
	}

	h4 {
		text-align: center;
		font-family: 'Open Sans', sans-serif;
		color: white;
		font-size: 30px;
	}

	h5 {
		font-size: 25px;
		line-height: 25px;
	}

	#nav-container-homescreen {
		height: 35vh;
		padding-left: 0px;
		padding-right: 0px;
	}

	#nav-container {
		padding-left: 5%;
		padding-bottom: 5%;
	}

	nav {
		position: fixed;
		z-index: 10;
		/*top: 0;*/
		height: 100%;
		background-color: white;
		box-shadow: 3px 0 12px -6px grey;
		transition: transform 1s;
		transform: translateX(-520px);
		width: 60vw;
		padding-left: 10%;
	}


	#hamburger-icon {
		padding: 6px 8px 0px 8px;
		width: 45px;
		display: inline;
	}

	#social-media-links {
		flex-direction: row;
		top: 0;
		margin-top: 1vh;
	}

	.fotorama {
		height: 20vh;
		width: 75vw;
	}


	#customer-review-outer {
		width: 90vw;
	}

	#customer-favorites-title {
		margin-top: 5vh;
		margin-bottom: 1vh;
		width: 80vw;
		margin-left: auto;
		margin-right: auto;
		text-align: center;
	}

	#customer-fav-container {
		flex-direction: column;
	}

	.customer-fav-image {
		width: 60vw;
		height: 60vw;
		margin-top: 5vh;
		margin-left: auto;
		margin-right: auto;
	}

	#customer-favorites {
		width: 80vw;
		height: 20vw;
		margin-top: 5vh;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		margin-left: auto;
		margin-right: auto;
		align-items: center;
	}


	#menu-items-container {
		margin-left: auto;
		margin-right: auto;
		display: grid;
		grid-column-gap: 20px;
	 	grid-row-gap: 70px;
	 	grid-template-columns: 80vw;
	 	grid-template-rows: 80vw;
		width: 80vw;
		margin-top: 11vh;
	}

	#slogan {
		text-align: center;
		margin-top: 10vh;
	}

	footer {
		padding: 10px;
		height: 21vh;
	}

	.footer-column {
		width: 30%;
	}

	#menu-categories-panel {
		display: none;
	}

	.menu-category-button {
		display: block;
	}

	#contact-us-form {
		width: 80vw;
	}

	#about-us-image {
		display: none;
	}

	#about-us-text-container {
		padding-left: 0px;
	}

	#about-us-text-2 {
		display: inline-block;
		margin-left: auto;
		margin-right: auto;
		width: 80vw;
	}
}

/*Tablet*/
@media only screen and (min-width: 768px) and (max-width: 1365px) {

	.customer-fav-image {
		width: 30vw;
		height: 30vw;
	}

	#nav-container-homescreen, #nav-container {
		padding-left: 5%;
		padding-right: 5%;
	}

	li h1 {
		margin-right: 30px;
	}

	#social-media-links {
		margin-top: 15vh;
	}

	.fotorama {
		height: 28vh;
		width: 70vw;
	}

	#restaurant-description {
		width: 80vw;
	}

	#customer-review-outer {
		width: 80vw;
	}

	#customer-favorites-title {
		margin-top: 10vh;
	}

	#menu-categories-panel {
		width: 30vw;
	}

	#menu-categories-container-not-mobile {
		width: 20vw;
	}

	#menu-items-container {
		grid-template-columns: 25vw 25vw;
		grid-template-rows: 25vw 25vw;
		margin-left: 38vw;
		grid-column-gap: 5vw;
		grid-row-gap: 5vw;
		height: 90vh;
	}

	#order-online-container {
		width: 75vw;
	}

	.restaurant-modal {
		height: 25vw;
		width: 25vw;
	}

	#order-online-container {
		height: 65vh;
	}

	#contact-us-form {
		width: 45vw;
	}

}